Subject: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]

From: Boruch Baum <[email-masked]>
Date: Mon, 19 Apr 2021 05:24:30 -0400

On 2021-04-17 22:30, Eli Zaretskii wrote:
> > Date: Wed, 14 Apr 2021 23:31:47 -0400
> > From: Boruch Baum <[email-masked]>

> > ...

> > + ses-user-error.patch
> >
> >   + Quasi-randomly replaces some calls to function `error' with
> >     `user-error'.
> >
> >   + There could be many other desirable points of replacement, but these
> >     were some obvious ones, and without knowing whether the patch would
> >     be accepted at all, it's what I invested.
>
> Thanks, but I don't think I understand the rationale for the second
> patch.  What is the problem with signaling an error in those two
> places?

They avoid spawning a backtrace buffer when toggle-debug-on-error is set
and the error is a user input error caught by a validation test within
an `interactive' function call.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0